import request from '@/utils/request'

// 查询项目委外列表
export function listOutsource(query) {
  return request({
    url: '/oa/outsource/list',
    method: 'get',
    params: query
  })
}

// 查询项目委外详细
export function getOutsource(outsourceId) {
  return request({
    url: '/oa/outsource/' + outsourceId,
    method: 'get'
  })
}

// 新增项目委外
export function addOutsource(data) {
  return request({
    url: '/oa/outsource',
    method: 'post',
    data: data
  })
}

// 修改项目委外
export function updateOutsource(data) {
  return request({
    url: '/oa/outsource',
    method: 'put',
    data: data
  })
}

// 删除项目委外
export function delOutsource(outsourceId) {
  return request({
    url: '/oa/outsource/' + outsourceId,
    method: 'delete'
  })
}
